Finding old tag

SketchUp 21.0.338 running on iMac Catalina 10.15.7. Two questions.
First, I sometimes create a temporary tag so I can easily hide or show select items for editing. Normally I delete the temp tag when I’m done but alas, sometimes I forget. I have a Temp tag I’d like to delete but purge doesn’t work so there must still be elements in that tag. I’ve tried turning the tag off and on hoping I could see some objects appear and disappear but no luck. And the tag could be associated with a component, I just don’t know. How can I find the contents of the temp tag?

Second, how do I sign out of the forum? I can’t find a “sign out” so it must be well hidden. It seems like it’s, “once in, never out”

image

dezmo,
I could have sworn I tried that but obviously I shouldn’t swear. I guess I didn’t click on the right icon.
Thanks, now if only I can remember for next time :slight_smile:

DaveR,
Yeah, but that doesn’t really help. I don’t know if I want to delete the entities in the tag cause I don’t know what they are. Very likely they are entities I do NOT want to delete as I simply temp tagged them to get them out of the view so I could edit something else.

If I create another temp tag or assign the entities to another existing tag won’t they still be hidden?

Dave,
That’s one of the first things I tried. Unfortunately, the bulk of my model is untagged. In your video it appears everything is in one of the tags as I see nothing in your untagged group. Am I missing some trick (I see you have two cards in the foreground)?

It is certainly easier to name and organize as you go. But this situation happens to us all from time to time. You can make a temporary tag, and for just this moment make it active, then you can hide the untagged as well as the rest. Look at the tag in question in isolation to see what is there, then make untagged active again (as it should always be) and delete the temp tag.

2

2 Likes

I wrote a little snippet of code. This will select all the entities associated to the questionable Tag ( formally Layer)
I do not take any responsibility! Use at your own risk.
Usage: (see animation below too)

Open the Ruby console
Copy-paste the code to console from here and hit enter (Return):

def recursive_find_onlayer(layer, ent)
  if ent.respond_to?(:definition)
    Sketchup.active_model.selection.add ent if ent.layer == layer
    ent.definition.entities.each{|e| recursive_find_onlayer(layer, e)}
  elsif ent.respond_to?(:layer)
    Sketchup.active_model.selection.add ent if ent.layer == layer
  end
end 
def find_on( tagname )
  model = Sketchup.active_model
  ent = model.entities
  layers = model.layers
  ent.each{|e|
    recursive_find_onlayer(layers[tagname], e)
  }
end

Type:
find_on "Tag2"
(replace “Tag2” with the tag in question)
You can repeatedly do the command with different tag names…


find_on_tag

1 Like

Dave,
Through trial and error I was able to isolate something that shows when I click the temp tag, but I only see it if I show hidden geometry. I have not idea how that happened but I do often have trouble using the “follow me” tool and it is a conduit I created using the follow me tool that is showing the temp tag. So, I killed the tag by deleting the entities associated with it and that left me with the center line of the conduit. I managed to recreate the conduit with the follow me tool.

So I guess I solved the problem.

endlessfix,
Wow, I coulda had a V8! I forgot all about that little trick. I’ve actually used it before but too much time between heavy sessions of using SketchUp and the tricks fade. I solved the problem as noted in my previous reply but thanks so much for reminding me of a trick I forgot.

1 Like

dezmo,
I’ve thought about coding what I need for SketchUp as I do a lot of Visual Basic for Applications in Microsoft Office apps but so far I haven’t taken the time to learn the object model for SketchUp. So much fin, so little time. Although I figured out my issue, thanks for the snippet, I’ll try it when I get a chance.

I’m not sure why DaveR bailed on his responses. I always appreciate his expertise and help.

2 Likes